<?php
/**
 * Retrieves and creates the wp-config.php file.
 *
 * The permissions for the base directory must allow for writing files in order
 * for the wp-config.php to be created using this page.
 *
 * @package WordPress
 * @subpackage Administration
 */

/**
 * We are installing.
 *
 * @package WordPress
 */
define('WP_INSTALLING', true);

/**#@+
 * These three defines are required to allow us to use require_wp_db() to load
 * the database class while being wp-content/db.php aware.
 * @ignore
 */
define('ABSPATH', dirname(dirname(__FILE__)).'/');
define('WPINC', 'wp-includes');
define('WP_CONTENT_DIR', ABSPATH . 'wp-content');
/**#@-*/

require_once(ABSPATH . WPINC . '/compat.php');
require_once(ABSPATH . WPINC . '/functions.php');
require_once(ABSPATH . WPINC . '/classes.php');

if (!file_exists(ABSPATH . 'wp-config-sample.php'))
	wp_die('ԴҴ!  ÷ӧҹͧ wp-config-sample.php سѾŴҡԴ');

$configFile = file(ABSPATH . 'wp-config-sample.php');

if ( !is_writable(ABSPATH))
	wp_die("ԴҴ! ö¹ä  سͧ¹Էͧسäҧ  wp-config.php ͧسµͧ");

// Check if wp-config.php has been created
if (file_exists(ABSPATH . 'wp-config.php'))
	wp_die("<p> 'wp-config.php'   Ҥسͧõ駤  سźҡ͹  سҨͧ <a href='install.php'>Դ駵͹</a>.</p>");

// Check if wp-config.php exists above the root directory but is not part of another install
if (file_exists(ABSPATH . '../wp-config.php') && ! file_exists(ABSPATH . '../wp-settings.php'))
	wp_die("<p> 'wp-config.php' äշ٧ Ҥسͧõ駤  سźҡ͹  سҨͧ <a href='install.php'>Դ駵͹</a>.</p>");

if (isset($_GET['step']))
	$step = $_GET['step'];
else
	$step = 0;

/**
 * Display setup wp-config.php file header.
 *
 * @ignore
 * @since 2.3.0
 * @package WordPress
 * @subpackage Installer_WP_Config
 */
function display_header(){
	header( 'Content-Type: text/html; charset=iso-8859-11' );
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-11" />
<title>WordPress &rsaquo; Setup Configuration File</title>
<link rel="stylesheet" href="<?php echo $admin_dir; ?>css/install.css" type="text/css" />

</head>
<body>
<h1 id="logo"><img alt="WordPress" src="images/wordpress-logo.png" /></h1>
<?php
}//end function display_header();

switch($step) {
	case 0:
		display_header();
?>

<p>Թյ͹Ѻ  ͹ӡõԴ駹  سͧš͡ѺҹŢͧس͹  سͧŢͧ觵仹͹ӡõԴ</p>
<ol>
	<li>Ͱҹ</li>
	<li>ͼҹ</li>
	<li>ʼҹҹ</li>
	<li>ʷͧҹ</li>
	<li>ӹ˹ҵҧҹ (Ҥسͧͤҡ˹㹰ҹ) </li>
</ol>
<p><strong>˵ؼŷҧѵѵӧҹ  ͧѧ  س͡Ţͧҹҹŧ駤  ¤سҨԴ <code>wp-config-sample.php</code> 䢵ѡ  ŢͧسǺѹ֡㹪 <code>wp-config.php</code> </strong></p>
<p>» ISP ͧس繼ҹ  ҤسբŹ  سеͧԴ;ǡҡ͹سöӵ  Ҥسء觾</p>

<p class="step"><a href="setup-config.php?step=1" class="button">õԴ!</a></p>
<?php
	break;

	case 1:
		display_header();
	?>
<form method="post" action="setup-config.php?step=2">
	<p>ҹҧسèš͡ѺҹŢͧس  Ҥسҹ  سõԴͺԡʷͧس </p>
	<table class="form-table">
		<tr>
			<th scope="row"><label for="dbname">Ͱҹ</label></th>
			<td><input name="dbname" id="dbname" type="text" size="25" value="wordpress" /></td>
			<td>ͧ͢ҹŢͧسҹ </td>
		</tr>
		<tr>
			<th scope="row"><label for="uname">ͼ</label></th>
			<td><input name="uname" id="uname" type="text" size="25" value="username" /></td>
			<td>ͼ  MySQL ͧس</td>
		</tr>
		<tr>
			<th scope="row"><label for="pwd">ʼҹ</label></th>
			<td><input name="pwd" id="pwd" type="text" size="25" value="password" /></td>
			<td>...ʼҹ  MySQL </td>
		</tr>
		<tr>
			<th scope="row"><label for="dbhost">ʷͧҹ</label></th>
			<td><input name="dbhost" id="dbhost" type="text" size="25" value="localhost" /></td>
			<td>99% ͧʷ仹鹤سͧ¹ҹ</td>
		</tr>
		<tr>
			<th scope="row"><label for="prefix">ӹ˹ҵҧҹ</label></th>
			<td><input name="prefix" id="prefix" type="text" id="prefix" value="wp_" size="25" /></td>
			<td>ҤسͧõԴ駺ͤºͤ㹰ҹ ¹ҹ͹ѹءͤ</td>
		</tr>
	</table>
	<p class="step"><input name="submit" type="submit" value="Submit" class="button" /></p>
</form>
<?php
	break;

	case 2:
	$dbname  = trim($_POST['dbname']);
	$uname   = trim($_POST['uname']);
	$passwrd = trim($_POST['pwd']);
	$dbhost  = trim($_POST['dbhost']);
	$prefix  = trim($_POST['prefix']);
	if (empty($prefix)) $prefix = 'wp_';

	// Test the db connection.
	/**#@+
	 * @ignore
	 */
	define('DB_NAME', $dbname);
	define('DB_USER', $uname);
	define('DB_PASSWORD', $passwrd);
	define('DB_HOST', $dbhost);
	/**#@-*/

	// We'll fail here if the values are no good.
	require_wp_db();
	if ( !empty($wpdb->error) )
		wp_die($wpdb->error->get_error_message());

	$handle = fopen(ABSPATH . 'wp-config.php', 'w');

	foreach ($configFile as $line_num => $line) {
		switch (substr($line,0,16)) {
			case "define('DB_NAME'":
				fwrite($handle, str_replace("putyourdbnamehere", $dbname, $line));
				break;
			case "define('DB_USER'":
				fwrite($handle, str_replace("'usernamehere'", "'$uname'", $line));
				break;
			case "define('DB_PASSW":
				fwrite($handle, str_replace("'yourpasswordhere'", "'$passwrd'", $line));
				break;
			case "define('DB_HOST'":
				fwrite($handle, str_replace("localhost", $dbhost, $line));
				break;
			case '$table_prefix  =':
				fwrite($handle, str_replace('wp_', $prefix, $line));
				break;
			default:
				fwrite($handle, $line);
		}
	}
	fclose($handle);
	chmod(ABSPATH . 'wp-config.php', 0666);

	display_header();
?>
<p>ءҧº! سõԴ駷ءҧ  ö͡ѺҹŢͧس  Ҥس  &hellip;</p>

<p class="step"><a href="install.php" class="button">õԴ</a></p>
<?php
	break;
}
?>
</body>
</html>